Package org.drinkless.tdlib

# Class TdApi.AuthorizationStateWaitEmailCode

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuthorizationState
org.drinkless.tdlib.TdApi.AuthorizationStateWaitEmailCode

Enclosing class:
  `TdApi`

public static class TdApi.AuthorizationStateWaitEmailCode extends TdApi.AuthorizationState
TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuthorizationState

  `TdApi.AuthorizationState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowAppleId`
  True, if authorization through Apple ID is allowed.
  `boolean`
  `allowGoogleId`
  True, if authorization through Google ID is allowed.
  `TdApi.EmailAddressAuthenticationCodeInfo`
  `codeInfo`
  Information about the sent authentication code.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.EmailAddressResetState`
  `emailAddressResetState`
  Reset state of the email address; may be null if the email address can't be reset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorizationStateWaitEmailCode()`
  TDLib needs the user's authentication code sent to an email address to authorize.
  `AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)`
  TDLib needs the user's authentication code sent to an email address to authorize.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### allowAppleId

    public boolean allowAppleId
    True, if authorization through Apple ID is allowed.

  - ### allowGoogleId

    public boolean allowGoogleId
    True, if authorization through Google ID is allowed.

  - ### codeInfo

    public TdApi.EmailAddressAuthenticationCodeInfo codeInfo
    Information about the sent authentication code.

  - ### emailAddressResetState

    @Nullable public TdApi.EmailAddressResetState emailAddressResetState
    Reset state of the email address; may be null if the email address can't be reset.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuthorizationStateWaitEmailCode

    public AuthorizationStateWaitEmailCode()
    TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.

  - ### AuthorizationStateWaitEmailCode

    public AuthorizationStateWaitEmailCode(boolean allowAppleId, boolean allowGoogleId, TdApi.EmailAddressAuthenticationCodeInfo codeInfo, TdApi.EmailAddressResetState emailAddressResetState)
    TDLib needs the user's authentication code sent to an email address to authorize. Call checkAuthenticationEmailCode to provide the code.
    Parameters:
      `allowAppleId` - True, if authorization through Apple ID is allowed.
      `allowGoogleId` - True, if authorization through Google ID is allowed.
      `codeInfo` - Information about the sent authentication code.
      `emailAddressResetState` - Reset state of the email address; may be null if the email address can't be reset.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuthorizationState`
    Returns:
      this.CONSTRUCTOR